import { type Base, genBase } from "./_base";
import { genMaterialPackage, type MaterialPackage } from "./material-package";
import { genProcedureRoom, type ProcedureRoom } from "./procedure-room";

export interface ProcedureRoomOrderItem extends Base {
	procedureRoomOrder_id: number
	procedureRoom_code: string
	procedureRoom: ProcedureRoom
}

export interface CreateDto {
  procedureRoomOrder_id: number
	procedureRoom_code: string
}

export interface UpdateDto extends CreateDto {
  note?: string
}

export function genProcedureRoomOrderItem(): ProcedureRoomOrderItem {
  return {
    ...genBase(),
    procedureRoomOrder_id: 0,
    procedureRoom_code: '',
    procedureRoom: genProcedureRoom(),
  }
}
